Bug 979672 - Cannot edit software respositories
Cannot edit software respositories
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 06:14 EDT by javiermon
Modified: 2015-02-17 10:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:44:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description javiermon 2013-06-29 06:14:47 EDT
Description of problem:
When I launch gpk-application, go to software repositories dialog, I cannot disable/enable repositories. The log file when run with -v shows:
12:10:47	PackageKit          emit transaction-list-changed
12:10:47	PackageKit          emit transaction-list-changed
12:10:52	PackageKit          emit transaction-list-changed
12:10:58	PackageKit          emit transaction-list-changed
12:10:59	PackageKit          emit transaction-list-changed

but I see no authentication dialog for root privileges.

Version-Release number of selected component (if applicable):
javier@spectre:~$ yum info gnome-packagekit.x86_64
Complementos cargados:langpacks, refresh-packagekit, remove-with-leaves
Paquetes instalados
Nombre        : gnome-packagekit
Arquitectura        : x86_64
Versión     : 3.8.2
Lanzamiento     : 2.fc19
Tamaño        : 12 M
Repositorio        : installed
Desde el repositorio   : updates-testing
Resumen     : Session applications to manage packages
URL         : http://www.packagekit.org
Licencia     : GPLv2+
Descripción :gnome-packagekit provides session applications for the PackageKit API.
           : There are several utilities designed for installing, updating and
           : removing packages on your system.


How reproducible:
always

Additional info:


gpk-application -v
12:10:42	GnomePackageKit     Verbose debugging enabled (on console 1)
12:10:42	PackageKit          trying to open database '/var/lib/PackageKit/desktop-files.db'
12:10:42	GnomePackageKit     using native mode: 600x300
12:10:42	PackageKit          role now get-repo-list
12:10:42	GnomePackageKit     CLEAR search
12:10:42	GnomePackageKit     no input
12:10:42	GnomePackageKit     CLEAR search
12:10:42	GnomePackageKit     no input
12:10:42	PackageKit          notify::connected
12:10:42	GnomePackageKit     state=2
12:10:42	GnomePackageKit     set search type=1
12:10:42	GnomePackageKit     CLEAR welcome
12:10:42	GnomePackageKit     now wait
12:10:42	PackageKit          emit transaction-list-changed
12:10:42	GnomePackageKit     now setup
12:10:43	GnomePackageKit     now info
12:10:43	GnomePackageKit     now finished
12:10:43	PackageKit          emit transaction-list-changed
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-updates-testing:RPM Fusion for Fedora 19 - Nonfree - Test Updates
12:10:43	GnomePackageKit     repo = updates-source:Fedora 19 - Updates Source
12:10:43	GnomePackageKit     repo = rpmfusion-free-updates-testing:RPM Fusion for Fedora 19 - Free - Test Updates
12:10:43	GnomePackageKit     repo = updates-testing:Fedora 19 - x86_64 - Test Updates
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-updates-testing-source:RPM Fusion for Fedora 19 - Nonfree - Test Updates Source
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-debuginfo:RPM Fusion for Fedora 19 - Nonfree - Debug
12:10:43	GnomePackageKit     repo = updates-testing-source:Fedora 19 - Test Updates Source
12:10:43	GnomePackageKit     repo = rpmfusion-free-rawhide-debuginfo:RPM Fusion for Fedora Rawhide - Free - Debug
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-rawhide-debuginfo:RPM Fusion for Fedora Rawhide - Nonfree - Debug
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-updates-source:RPM Fusion for Fedora 19 - Nonfree - Updates Source
12:10:43	GnomePackageKit     repo = rpmfusion-free-rawhide-source:RPM Fusion for Fedora Rawhide - Free - Source
12:10:43	GnomePackageKit     repo = fedora:Fedora 19 - x86_64
12:10:43	GnomePackageKit     repo = rpmfusion-free-debuginfo:RPM Fusion for Fedora 19 - Free - Debug
12:10:43	GnomePackageKit     repo = rpmfusion-free-updates-testing-debuginfo:RPM Fusion for Fedora 19 - Free - Test Updates Debug
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-updates-debuginfo:RPM Fusion for Fedora 19 - Nonfree - Updates Debug
12:10:43	GnomePackageKit     repo = rpmfusion-free-rawhide:RPM Fusion for Fedora Rawhide - Free
12:10:43	GnomePackageKit     repo = rpmfusion-free-updates:RPM Fusion for Fedora 19 - Free - Updates
12:10:43	GnomePackageKit     repo = adobe-linux-x86_64:Adobe Systems Incorporated
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-updates:RPM Fusion for Fedora 19 - Nonfree - Updates
12:10:43	GnomePackageKit     repo = rpmfusion-free:RPM Fusion for Fedora 19 - Free
12:10:43	GnomePackageKit     repo = updates-debuginfo:Fedora 19 - x86_64 - Updates - Debug
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-source:RPM Fusion for Fedora 19 - Nonfree - Source
12:10:43	GnomePackageKit     repo = fedora-debuginfo:Fedora 19 - x86_64 - Debug
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-rawhide:RPM Fusion for Fedora Rawhide - Nonfree
12:10:43	GnomePackageKit     repo = rpmfusion-free-updates-source:RPM Fusion for Fedora 19 - Free - Updates Source
12:10:43	GnomePackageKit     repo = updates-testing-debuginfo:Fedora 19 - x86_64 - Test Updates Debug
12:10:43	GnomePackageKit     repo = rpmfusion-free-updates-testing-source:RPM Fusion for Fedora 19 - Free - Test Updates Source
12:10:43	GnomePackageKit     repo = updates:Fedora 19 - x86_64 - Updates
12:10:43	GnomePackageKit     repo = fedora-source:Fedora 19 - Source
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-updates-testing-debuginfo:RPM Fusion for Fedora 19 - Nonfree - Test Updates Debug
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree-rawhide-source:RPM Fusion for Fedora Rawhide - Nonfree - Source
12:10:43	GnomePackageKit     repo = rpmfusion-nonfree:RPM Fusion for Fedora 19 - Nonfree
12:10:43	GnomePackageKit     repo = rpmfusion-free-source:RPM Fusion for Fedora 19 - Free - Source
12:10:43	GnomePackageKit     repo = rpmfusion-free-updates-debuginfo:RPM Fusion for Fedora 19 - Free - Updates Debug
12:10:47	GnomePackageKit     running: /usr/bin/gpk-prefs --parent-window 29360131
12:10:47	PackageKit          emit transaction-list-changed
12:10:47	PackageKit          emit transaction-list-changed
12:10:52	PackageKit          emit transaction-list-changed
12:10:58	PackageKit          emit transaction-list-changed
12:10:59	PackageKit          emit transaction-list-changed

[nothing happens here]
Comment 1 Fedora End Of Life 2015-01-09 13:35:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:44:55 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.